/* $Id: format.h,v 1.3 2001/07/12 21:55:30 selinger Exp $ */

#ifndef FORMAT_H
#define FORMAT_H

#include "main.h"

/* holds a linear transformation a la pstops */
struct transform_s {
  char *rot;   /* rotation, "", "L", "R", "U" */
  double sf;   /* scaling factor              */
  double dx;   /* x shift                     */
  double dy;   /* y shift                     */
};

typedef struct transform_s transform_t;

int format(info_t info, int n, bbox_t *bboxes);

#endif /* FORMAT_H */

